// IServer.h : header file
//



/////////////////////////////////////////////////////////////////////////////
// CIsapiServer command target

class CIsapiServer : public CCmdTarget
{
	DECLARE_DYNCREATE(CIsapiServer)

	CIsapiServer();           // protected constructor used by dynamic creation

// Attributes
public:
// private data
protected:
	EXTENSION_CONTROL_BLOCK *ecb;

// Operations
public:
	void SetECB(EXTENSION_CONTROL_BLOCK *e) { ecb=e; };
	DWORD GetRV(void) { return m_retVal; };
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIsapiServer)
	public:
	virtual void OnFinalRelease();
	//}}AFX_VIRTUAL

// Implementation
	virtual ~CIsapiServer();
	

	// Generated message map functions
	//{{AFX_MSG(CIsapiServer)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
	// Generated OLE dispatch map functions
	//{{AFX_DISPATCH(CIsapiServer)
	long m_retVal;
	long m_statCode;
	afx_msg BSTR GetMethod();
	afx_msg BSTR GetQueryString();
	afx_msg BSTR GetPathInfo();
	afx_msg BSTR GetPathTranslated();
	afx_msg long GetContentLength();
	afx_msg BSTR GetContent();
	afx_msg BSTR GetContentType();
	afx_msg BOOL Write(const VARIANT FAR& idata);
	afx_msg BOOL ServerVariable(const VARIANT FAR& Variable, VARIANT FAR* Result);                                                     	
	afx_msg BOOL WriteLine(const VARIANT FAR& idata);
	afx_msg BOOL WriteByte(const VARIANT FAR& byte);
	afx_msg BOOL ServerDoneSession();
	afx_msg BOOL Redirect(const VARIANT FAR& url);
	afx_msg BOOL SendURL(const VARIANT FAR& url);
	afx_msg BOOL SendHeaders(const VARIANT FAR& Status, const VARIANT FAR& Headers);
	afx_msg BOOL MapURL2Path(VARIANT FAR* urlpath);
	//}}AFX_DISPATCH
	DECLARE_DISPATCH_MAP()
	DECLARE_INTERFACE_MAP()
};
/////////////////////////////////////////////////////////////////////////////
